Contactez nous

WAPT 1.6 RC1

Question about WAPT Server / Requêtes et aides autour du serveur Wapt
Règles du forum

* Questions can be asked in English or in French. If the thread is started in English, stick to English, if it is started in French, stick to French.
* Vous pouvez poser vos questions en Français ou en Anglais. Si un sujet est commencé en français, merci de répondre en français. Si un sujet est commencé en anglais, merci de répondre en anglais.

Bonjour,

WAPT 1.6 RC1 est disponible en version Community sur https://store.wapt.fr/wapt/releases/wapt-1.6.2.5-rc1/ (installeur Windows, Debian et CentOS).

Pour l'installation sous Windows, recommandée pour les premiers tests, voici le lien de téléchargement : https://store.wapt.fr/wapt/releases/wap ... rsetup.exe

N'hésitez pas à nous remonter vos remarques sur le forum ou la mailing list !

Changelog : https://www.wapt.fr/fr/doc-1.6/changelog.html

Plateformes conseillées :
  • Debian Stretch x64
    Linux CentOS 7 x64
    Microsoft Windows Server x64
Documentation d'installation : https://www.wapt.fr/fr/doc-1.6/

Pour les utilisateurs de la version Enterprise, la RC1 est aussi disponible en test, contactez Xavier au 02.40.97.57.55 pour plus d'informations.

Pour les utilisateurs encore en version 1.3, pensez à préparer votre mise à jour, le support de la version 1.3 par Tranquil IT sera terminé avant la fin 2018. Si vous avez besoin d'aide pour effectuer la mise à jour, nous pouvons vous proposer une prestation de mise à jour.

Bon tests à tous !
Bonjour,

Merci pour l'info. Quel est le mieux pour vous remonter des bugs ? ici ou github ?
Bonjour,
à votre convenance.

Vous pouvez installer la RC2 qui corrige entre autres un bug sur waptexit sur Windows 10 avec virtualbox, ainsi que quelques points de détail d'installation.

https://wapt.tranquil.it/wapt/releases/ ... 6.2.5-rc2/
Problèmes remontés :
  • Nécessité d'upgrade de posgresql 9.4 -> 9.6 si serveur Debian Jessie et Wapt Enterprise
  • La commande "wapt-get -S upgrade" génère une exception si le waptservice ne répond pas assez vite, et le paramètre waptservice_timeout de wapt-get.ini n'est pas pris en compte par wapt-get

Upgrade d'un serveur wapt 1.5 Jessie en 1.6 Stretch :
  • changement jessie -> stretch dans /etc/apt/sources.list
  • changement jessie -> stretch et 1.6 -> 1.6 dans le fichier /etc/apt/sources.list.d/wapt.list
Upgrade postgresql 9.4 en 9.6

En tant que root :

Code : Tout sélectionner

systemctl stop waptserverl 
pg_lsclusters
pg_dropcluster 9.6 main --stop
pg_upgradecluster 9.4 main
pg_lsclusters
pg_dropcluster 9.4 main
systemctl start waptserverl 
Vérifier que le serveur wapt fonctionne correctement.
Nettoyage :

Code : Tout sélectionner

apt-get --purge remove postgresql-client-9.4 postgresql-9.4
Version 1.6.2.5 rc3 mise en ligne qui corrige un problème mineur (prise en compte du paramètre waptservice_timeout de wapt-get.ini par la commande wapt-get --service upgrade)
Timeout par défaut passé à 4s au lieu de 2s pour wapt-get et waptexit

https://wapt.tranquil.it/wapt/releases/wapt-1.6.2.5-rc3